####yamapan.tokyo
#!/bin/sh
LOGFILE="CheckNWResult_$(hostname -s).log"
echo "Starting..."
echo "ログファイルは${LOGFILE}です。"

{
SECONDS=0
LOGFILE="CheckNWResult_$(hostname -s).log"
exec > "${LOGFILE}"
exec 2>&1

#####関数設定######
#NW nc -vz 確認 443 
function testNW443 () {
echo "#TRY!! nc -vz ${1} 443 "
nc -vz $1 443
}

#NW nc -vz 確認 80 
function testNW80 () {
echo "#TRY!! nc -vz ${1} 80 "
nc -vz $1 80
}

#Curl 確認
function testcurl(){
echo "##TRY!! curl -I ${1} "
curl -I $1
}

###宛先設定
URL_1=yahoo.co.jp
URL_2=abehiroshi.la.coocan.jp
URL_3=google.com

#####環境情報確認
echo "#### 環境情報確認" 
echo "## 実行しているマシンのホスト名は$(hostname -s)です。" 
echo "## 実行日次は$(date)です。"
echo "## ip a コマンドの結果は以下です"
ip a
echo "##hostnamectl コマンドの結果は以下です"
hostnamectl
echo "##プロキシ設定状態(空白場合は場合は結果無し)"
echo "http_proxy コマンドの結果"
echo $http_proxy
echo "https_proxy コマンドの結果"
echo $https_proxy

echo "####疎通確認########"
testNW443 $URL_1
testcurl $URL_1

testNW80 $URL_2
testcurl $URL_2

testNW443 $URL_3
testcurl $URL_3

echo ""
echo "Complete..."
echo "[INFO] Script time is ${SECONDS}sec."

}
